#
# spec file for package golang
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            net
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/net

Name:           golang-org-x-%{repo}-html
Version:        1.12+git20190812.cdfb69a
Release:        lp152.1.1
Summary:        Package html implements an HTML5-compliant tokenizer and parser
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_provides}

%description
Package html implements an HTML5-compliant tokenizer and parser.

%prep
%setup -q -n %{repo}-%{version}
rm -rf $(find * -type d | grep -v '^html')
rm -rf html/charset

%build
%goprep %{import_path}
%gobuild ./html

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}/html

%files -f file.lst
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS LICENSE PATENTS README.md

%changelog
* Tue Nov  5 2019 mrostecki@opensuse.org
- Update to version 1.12+git20190812.cdfb69a:
  * [release-branch.go1.12] http2: limit number of control frames in server send queue
  * http2/h2demo: fix the HTTP/1-vs-HTTP/2 demo after HSTS breakage
  * html: update inSelectIM and inSelectInTableIM for the latest spec
  * html: make (*nodeStack)contains distinguish namespace
  * http2: Revert a closed stream cannot receive data
  * trace: tighten the check for duplicate registration
  * route: update package docs
  * route: fix TestRouteMessage
  * proxy: support socks5h scheme in proxy URL
  * ipv4, ipv6: directly initialize ctlOpts and sockOpts
* Fri Jun  2 2017 thipp@suse.de
- Use full tarball and include %%doc section
* Thu Jun  1 2017 thipp@suse.de
- Remove net/html/charset to avoid cyclic dependency
* Fri Apr 28 2017 opensuse-packaging@opensuse.org
- Update to version 0.0.0+git20170424.da118f7:
  * x/net/html: Sync the html parser and atom with the current whatwg spec
  * x/net/html/charset: Change NewReaderByName to NewReaderLabel.
  * html/charset/testdata: update licensing info in README
  * html: Use existing standard library interface internally.
  * html: remove license references from benchmark test data
  * html/charmap: update table with latest data
  * html/charset: use x/text/encoding/htmlindex
  * html/charset: handle unsupported code points for encoding
  * html/charset: verify correct UTF-8 behavior
  * html/charset: replace EUC-KR test
* Fri Apr 28 2017 jmassaguerpla@suse.com
- Only package and build golang.org/x/net/websocketto prevent problems with
  build requirements of golang.org/x/net
* Tue Feb 28 2017 thipp@suse.de
- Update to version 0.0.0+git20170227.906cda9:
  * publicsuffix: update table to latest list from publicsuffix.org
  * internal/netreflect: don't build on go1.9 or above
  * lif: drop support for go1.5
  * route: drop support for go1.5
  * ipv4, ipv6, internal/netreflect, bpf: fix the x/net build
  * http2/hpack: remove hpack's constant time string comparison
  * http2: replace fixedBuffer with dataBuffer
  * http2: Add opt-in option to Framer to allow DataFrame struct reuse
  * http2/hpack: speedup Encoder.searchTable
  * http2: add configurable knobs for the server's receive window
* Mon Feb 27 2017 thipp@suse.de
- Initial commit
- Add _service
- Add rpmlintrc
